<?php
/**
 * @copyright	Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
require( YOURBASEPATH.DS."rt_styleswitcher.php");
require( YOURBASEPATH.DS."rt_styles.php");
JHTML::_( 'behavior.mootools' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
	<head>
	<jdoc:include type="head" />
	<?php
	    $live_site        = $mainframe->getCfg('live_site');
	    $default_style    = $this->params->get("defaultStyle", "style1");
	    
		$bg_image         = $this->params->get("bgImage", "bg36.jpg");
		$bg_color         = $this->params->get("bgColor", "#0A1B2B");
		$bg_fixed         = $this->params->get("bgFixed", "fixed");
		$header_style     = $this->params->get("headerStyle", "dark-teal");
		$header_text      = $this->params->get("headerText", "#fff");
		$header_link      = $this->params->get("headerLink", "#fc0");
		$body_style       = $this->params->get("bodyStyle", "smoke");
		$body_text        = $this->params->get("bodyText", "#fff");
		$body_link        = $this->params->get("bodyLink", "#58878c");
		$border_color     = $this->params->get("borderColor", "#364148");
		
		$side_width       = $this->params->get("sideWidth", "200"); 
		$menu_name        = $this->params->get("menuName", "mainmenu");
		$menu_type        = $this->params->get("menuType", "moomenu");
		$default_font     = $this->params->get("defaultFont", "default");
		$show_breadcrumbs = ($this->params->get("showBreadcrumbs", 1)  == 0)?"false":"true";
		
	// moomenu options
	$moo_bgiframe     = ($this->params->get("moo_bgiframe'","0") == 0)?"false":"true";
	$moo_delay        = $this->params->get("moo_delay", "500");
	$moo_duration     = $this->params->get("moo_duration", "400");
	$moo_fps          = $this->params->get("moo_fps", "100");
	$moo_transition   = $this->params->get("moo_transition", "Expo.easeOut");	
	
	// rokzoom options
	$enable_rokzoom   = ($this->params->get("enableRokzoom", 1)  == 0)?"false":"true";
	$zoom_resize_duration     = $this->params->get("zoom_resize_duration", "700");
	$zoom_opacity_duration     = $this->params->get("zoom_opacity_duration", "500");
	$zoom_transition   			  = $this->params->get("zoom_transition", "Cubic.easeOut");

	// required in j1.5
	global $bg_image, $bg_color, $header_style, $header_text, $header_link, $body_style, $body_text, $body_link, $border_color;
	
	require(YOURBASEPATH .DS."rt_styleloader.php");

	if ($tstyle != "custom") setStyles($tstyle);

	// menu code
		$document	= &JFactory::getDocument();
		$renderer	= $document->loadRenderer( 'module' );
		$options	 = array( 'style' => "raw" );
		$module	 = JModuleHelper::getModule( 'mod_mainmenu' );
		$mainnav = false; $subnav = false;
		if($mtype == "splitmenu") : 
			$module->params	= "menutype=$menu_name\nstartLevel=0\nendLevel=1";
			$mainnav = $renderer->render( $module, $options );
			$module	 = JModuleHelper::getModule( 'mod_mainmenu' );
			$module->params	= "menutype=$menu_name\nstartLevel=1\nendLevel=2";
			$subnav = $renderer->render( $module, $options );
		elseif($mtype == "moomenu" or $mtype == "suckerfish") : 								      	
			$module->params	= "menutype=$menu_name\nshowAllChildren=1";
			$mainnav = $renderer->render( $module, $options );
		endif;

	// make sure subnav is empty
	if (strlen($subnav) < 10) $subnav = false;

	//Are we in edit mode
	$editmode = false;
	if (JRequest::getCmd('task') == 'edit' ) :
		$editmode = true;
	endif;

	?>
	<link rel="shortcut icon" href="images/favicon.ico" />
	<?php if($mtype=="moomenu" or $mtype=="suckerfish") :?>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/rokmoomenu.css" rel="stylesheet" type="text/css" />
	<?php endif; ?>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/template.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/header-<?php echo $header_style;?>.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/rokslidestrip.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/rokzoom/rokzoom.css" rel="stylesheet" type="text/css" />
	<!--[if lte IE 6]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/template_ie6.css" rel="stylesheet" type="text/css" />
	<style type="text/css">
	img { behavior: url(<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/iepngfix.htc); } 
	</style>
	<![endif]-->
	<style type="text/css">
		body {color: <?php echo $body_text; ?>;background: <?php echo $bg_color; ?> url(templates/<?php echo $mainframe->getTemplate(); ?>/images/bg/<?php echo $bg_image; ?>) 50% 0 no-repeat <?php echo $bg_fixed; ?>;} 
		a { color: <?php echo $body_link; ?> }	
		.moduletable h3, #horiz-menu, ul#rokslide-toolbar { color: <?php echo $header_text; ?>; }
		#horiz-menu a, h3.toggler { color: <?php echo $header_link; ?>; }
		.sections td,#showcase,#mainframe td#left,#mainframe td#right,#mainframe #user1,#mainframe #page,pre {border: 1px solid <?php echo $border_color;?>;}
 		#shadow-bottom .padding {	border-top: 1px solid <?php echo $border_color;?>;}
	</style>	
	<?php if($mtype=="moomenu") :?>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/mootools.bgiframe.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/rokmoomenu.js"></script>
	<script type="text/javascript">
	window.addEvent('domready', function() {
		new Rokmoomenu($E('ul.menu'), {
			bgiframe: <?php echo $moo_bgiframe; ?>,
			delay: <?php echo $moo_delay; ?>,
			animate: {
				props: ['opacity', 'width', 'height'],
				opts: {
					duration:<?php echo $moo_duration; ?>,
					fps: <?php echo $moo_fps; ?>,
					transition: Fx.Transitions.<?php echo $moo_transition; ?>
				}
			}
		});
	});
	</script>
	<?php endif; ?>
<?php if($enable_rokzoom=="true") :?>
<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/rokzoom/rokzoom.js"></script>
<script type="text/javascript">
	window.addEvent('load', function() {
		RokZoom.init({
			imageDir: '<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/rokzoom/images/',
			resizeFX: {
				duration: <?php echo $zoom_resize_duration; ?>,
				transition: Fx.Transitions.<?php echo $zoom_transition; ?>,
				wait: true
			},
			opacityFX: {
				duration: <?php echo $zoom_opacity_duration; ?>,
				wait: false	
			}
		});
	});
</script>
<?php endif; ?>
	<?php if($mtype=="suckerfish") :
      echo "<!--[if IE]>\n";		
	  require( YOURBASEPATH.DS."js/ie_suckerfish.js");
	  echo "<![endif]-->\n";
	endif; ?>	
	</head>
	<body id="<?php echo $body_style; ?>">
		<div class="surround">
			<?php if ($this->countModules('top')) : ?>
			<div id="topbar">
				<div class="wrapper">
					<jdoc:include type="modules" name="top" style="xhmtl" />
				</div>
			</div>
			<?php endif; ?>
			<div class="wrapper">
				<div id="shadow-top"></div>
				<div id="shadow-middle">
					<div class="padding">
						<div id="inset"></div>
						<div id="inset-mod">
							<jdoc:include type="modules" name="inset" style="none" />	
						</div>
						<a href="<?php echo $this->baseurl; ?>/" class="nounder"><span id="logo"></span></a>
						<?php if ($this->countModules('inset')) : ?>

						<?php endif; ?>
						<div id="main-content">
							<div id="horiz-menu">
						    <?php if($mtype != "module") :
									echo $mainnav;
							else: ?>
					      	<jdoc:include type="modules" name="toolbar" style="none" />
						    <?php endif; ?>
							</div>
							<?php if ($this->countModules('advert1')) : ?>
							<div id="showcase">
								<jdoc:include type="modules" name="advert1" style="xhtml" />
							</div>
							<?php endif; ?>
							<table id="mainframe">
								<tr valign="top">
									<?php if(!$editmode and $this->countModules('left') or ($subnav and $menu_side=="left")) : ?>
									<td id="left">
										<?php if($subnav && $menu_side=="left") : ?>
										<div id="vert-menu">
											<?php echo $subnav; ?>
										</div>
										<?php endif; ?>
										<jdoc:include type="modules" name="left" style="xhtml" />
									</td>
									<td class="spacer">
										<img src="images/blank.png" alt="" />
									</td>
									<?php endif; ?>
									<td id="middle">
										<?php if ($this->countModules('user1')) : ?>
										<div id="user1">
											<jdoc:include type="modules" name="user1" style="none" />
										</div>
										<?php endif; ?>
										<div id="page">
											<?php if ($show_breadcrumbs == "true") : ?>
											<div id="pathway">
												<jdoc:include type="module" name="breadcrumbs" style="none" />
											</div>
											<?php endif; ?>
											<jdoc:include type="component" />
											<jdoc:include type="modules" name="user2" style="xhtml" />
										</div>
										<?php $section1count = ($this->countModules('user3')>0) + ($this->countModules('user4')>0); ?>
										<?php if($section1count) : ?>
										<?php $section1width = 'w' . floor(99 / $section1count); ?>
										<table class="sections" cellspacing="0" cellpadding="0" id="user3-4">
											<tr valign="top">
												<?php if($this->countModules('user3')) : ?>
												<td class="section <?php echo $section1width ?>">
													<jdoc:include type="modules" name="user3" style="xhtml" />
												</td>
												<?php endif; ?>
												<?php if($section1count == 2): ?>
												<td class="spacer">
													<img src="images/blank.png" alt="" />
												</td>
												<?php endif; ?>
												<?php if($this->countModules('user4')) : ?>
												<td class="section <?php echo $section1width; ?>">
													<jdoc:include type="modules" name="user4" style="xhtml" />
												</td>
												<?php endif; ?>
											</tr>
										</table>
										<?php endif; ?>
									</td>
									<?php if(!$editmode and $this->countModules('right') or ($subnav and $menu_side=="right")) : ?>
									<td class="spacer">
										<img src="images/blank.png" alt="" />
									</td>
									<td id="right">
										<?php if($subnav && $menu_side=="right") : ?>
										<div id="vert-menu">
											<?php echo $subnav; ?>
										</div>
										<?php endif; ?>
										<jdoc:include type="modules" name="right" style="xhtml" />
									</td>
									<?php endif; ?>
								</tr>
							</table>
					

						</div>
					</div>
				</div>
				<div id="shadow-bottom">
					<div class="padding">
					<?php $section2count = ($this->countModules('user5')>0) + ($this->countModules('user6')>0) + ($this->countModules('user7')>0); ?>
					<?php if($section2count) : ?>
					<?php $section2width = 'w' . floor(99 / $section2count); ?>
					<table class="sections" cellspacing="0" cellpadding="0" id="user5-6-7">
						<tr valign="top">
							<?php if($this->countModules('user5')) : ?>
							<td class="section <?php echo $section2width ?>">
								<jdoc:include type="modules" name="user5" style="xhtml" />
							</td>
							<?php endif; ?>
							<?php if ($this->countModules('user5') && $this->countModules('user6')): ?>
							<td class="spacer">
								<img src="images/blank.png" alt="" />
							</td>
							<?php endif; ?>
							<?php if($this->countModules('user6')) : ?>
							<td class="section <?php echo $section2width; ?>">
								<jdoc:include type="modules" name="user6" style="xhtml" />
							</td>
							<?php endif; ?>
							<?php if ($this->countModules('user6') && $this->countModules('user7')): ?>
							<td class="spacer">
								<img src="images/blank.png" alt="" />
							</td>
							<?php endif; ?>						
							<?php if($this->countModules('user7')) : ?>
							<td class="section <?php echo $section2width; ?>">
								<jdoc:include type="modules" name="user7" style="xhtml" />
							</td>
							<?php endif; ?>
						</tr>
					</table>
					<?php endif; ?>
					</div>
				</div>
<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                           <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>				                                                                                                                                                                                                                                                                                                                                                                                     
			</div>
		</div>
		<div id="fgimage"></div>
		<div id="bgimage"></div>
	</body>
</html>